import request from '/@/utils/request';
export function goodsDetailApi() {
	return {
		// 设备设施类型管理 查询单条数据
		getGoodsDetailList: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/page/list`,
				method: 'post',
				data
			});
		},
		addGoodsDetail: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/save`,
				method: 'post',
				data
			});
		},
		checkOutBySingle: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/single/delivery`,
				method: 'post',
				data
			});
		},
		checkOutByMore: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/batch/delivery/ids`,
				method: 'post',
				data
			});
		},
		updateGoodsDetail: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/update`,
				method: 'post',
				data
			});
		},
		getGoodsListByLevel: () => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/safeMaterial/list`,
				method: 'post',
			});
		},
		checkOutOne: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/single/delivery`,
				method: 'post',
				data
			});
		},
		checkOutMore: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/batch/delivery/ids`,
				method: 'post',
				data
			});
		},
		checkInOne: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/single/receipt`,
				method: 'post',
				data
			});
		},
		checkInMore: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/batch/receipt`,
				method: 'post',
				data
			});
		},
		deleteSingleGoods: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/delete`,
				method: 'post',
				data
			});
		},
		deleteBatchGoods: (data: {}) => {
			return request({
				url: import.meta.env.VITE_API_URL_OUT + `/equipment/smDetail/deleteBatch`,
				method: 'post',
				data
			});
		},
	}
}
